Bug 3867

Summary: [UPDATE REQUEST] drakxtools-14.46-4
Product: [ROSA Desktop] Desktop Bugs Reporter: Konstantin Vlasov <konstantin.vlasov>
Component: Main PackagesAssignee: ROSA Linux Bugs <bugs>
Status: RESOLVED FIXED QA Contact: ROSA Linux Bugs <bugs>
Severity: normal    
Priority: Normal CC: alex.burmashev, dmitry.postnikov, vladimir.potapov
Version: FreshFlags: vladimir.potapov: qa_verified+
alex.burmashev: published+
Target Milestone: ---   
Hardware: All   
OS: Linux   
URL: https://abf.rosalinux.ru/import/drakxtools/build_lists
Whiteboard:
RPM Package: drakxtools ISO-related:
Bad POT generating: Upstream:
Attachments: vb1.png
vb2.png

Description Konstantin Vlasov 2014-03-21 16:49:56 MSK
1. Fixed dialog title in the firstboot stage now running during main installation (the title is visilbe only when running from Live).
2. Increased maximum sizes of / and /usr partitions when auto-allocating is used (previous default values appeared to be too small).
Comment 1 Konstantin Vlasov 2014-03-21 16:50:34 MSK
https://abf.rosalinux.ru/build_lists/1711221
https://abf.rosalinux.ru/build_lists/1711222

Advisory: Minor installer improvements.
Comment 2 Vladimir Potapov 2014-03-24 07:35:11 MSK
The update route to extended testing
Comment 3 Postnikov Dmitry 2014-03-25 13:44:07 MSK
(In reply to comment #0)
> 1. Fixed dialog title in the firstboot stage now running during main
> installation (the title is visilbe only when running from Live).
> 2. Increased maximum sizes of / and /usr partitions when auto-allocating is
> used (previous default values appeared to be too small).

What are sizes of partitions should be obtained after automatic disk partitioning?
Comment 4 Konstantin Vlasov 2014-03-25 13:54:58 MSK
For /+/home configuration the maximum size for root was increased from 12300 Mb to 20480 Mb. For /+/usr+/home the new sizes are 10000 for / and 14000 for /usr.

P.S. These max sizes will only be used if total free space is sufficient. In case it's too small, all partitions will be reduced according to the internal proportion coefficients.
Comment 5 Postnikov Dmitry 2014-03-25 14:17:13 MSK
Created attachment 2724 [details]
vb1.png

This breaking happened when allocating 15 GB of free space.
Comment 6 Postnikov Dmitry 2014-03-25 14:17:32 MSK
Created attachment 2725 [details]
vb2.png

This breaking happened when allocating 70 GB of free space.
Comment 7 Postnikov Dmitry 2014-03-25 14:20:15 MSK
In both cases RAM allocated 2 GB.
In the first case a swap is twice less than the RAM. In the second case, swap twice more RAM.
Need to fix swap.
Comment 8 Konstantin Vlasov 2014-03-25 19:18:42 MSK
Swap allocation did not change, and as far as I can tell, it is not dependent on the memory size, and never was. Yes, I agree that it's a good idea to fix this as well, but it's a totally separate issue. For now, the maximum swap size is set to 4000 MB; it seems to be working correctly (parted uses decimal megabytes, so it shows the larger value).

The current bug (and fix) deals only with default allocation sizes for the root partition. On the screen for 70 MB I can see that it worked correctly (again, taking into account decimal-to-binary units translation).
Comment 9 Vladimir Potapov 2014-03-26 05:02:19 MSK
drakxtools-14.46-4
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1711221/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1711222/x86_64/main/release/
***************************** Advisory *************************
1. Fixed dialog title in the firstboot stage now running during main installation (the title is visilbe only when running from Live).
2. Increased maximum sizes of / and /usr partitions when auto-allocating is used (previous default values appeared to be too small).
*****************************************************************
QA Verified